# containers.podman.podman_containers – Manage podman containers in a batch

Note

This plugin is part of the containers.podman collection (version 1.10.1).

To install it use: `ansible-galaxy collection install containers.podman`.

To use it in a playbook, specify: `containers.podman.podman_containers`.

New in version 1.4.0: of containers.podman

- Synopsis

- Requirements

- Parameters

- Examples

## Synopsis

- Manage groups of podman containers

## Requirements

The below requirements are needed on the host that executes this module.

- podman

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
containers list / elements=dictionary / required |  | List of dictionaries with data for running containers for podman_container module.
debug boolean | Choices: no ← yes | Return additional information which can be helpful for investigations.

## Examples

    - name: Run three containers at once
      podman_containers:
        containers:
          - name: alpine
            image: alpine
            command: sleep 1d
          - name: web
            image: nginx
          - name: test
            image: python:3-alpine
            command: python -V

### Authors

- Sagi Shnaidman (@sshnaidm)